curl --request POST \
--url https://api.botpress.cloud/v1/chat/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tags": {},
"integrationName": "<string>",
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
'{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
}curl --request POST \
--url https://api.botpress.cloud/v1/chat/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"tags": {},
"integrationName": "<string>",
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
'{
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": {},
"name": "<string>",
"pictureUrl": "<string>",
"properties": {},
"attributes": {}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bot id
Integration id
Integration alias
User data
Name of the user
200URI of the user picture
40000EXPERIMENTAL - Optional shared properties that can be accessed and modified by both the bot and any of its integrations.
Show child attributes
DEPRECATED - Use properties instead.
Show child attributes
The user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.
Show child attributes
Was this page helpful?